Groovy 1.7.0

## org.codehaus.groovy.transform.powerassert
Class AssertionRenderer

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.AssertionRenderer

    class AssertionRenderer
    extends Object

Creates a string representation of an assertion and its recorded values.

author:
  Peter Niederwieser

Constructor Summary
`private AssertionRenderer(String text, ValueRecorder recorder)`

Method Summary
`static String` | `render(String text, ValueRecorder recorder)` Creates a string representation of an assertion and its recorded values.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### AssertionRenderer

    private AssertionRenderer(String text, ValueRecorder recorder)

Method Detail

### render

    public static String render(String text, ValueRecorder recorder)

  Creates a string representation of an assertion and its recorded values.
  param:
    text the assertion's source text
  param:
    recorder a recorder holding the values recorded during evaluation of the assertion
  return:
    a string representation of the assertion and its recorded values

Copyright © 2003-2009 The Codehaus. All rights reserved.